const ViberBot = require('viber-bot').Bot,
BotEvents = require('viber-bot').Events,
TextMessage = require('viber-bot').Message.Text
const Koa = require('koa')
const koaBody = require('koa-body')

const bot = new ViberBot({
authToken: process.env.BOT_ACCOUNT_TOKEN,
name: "MITGROIP",
avatar: "http://crm.mitlab.by/upload/iblock/f7b/img5.png"
});

bot.on(BotEvents.SUBSCRIBED, response => {
response.send(new TextMessage(`Hi there ${response.userProfile.name}. I am ${bot.name}! Feel free to ask me anything.`));
});


const app = new Koa()
app.use(koaBody())
app.use("/viber/webhook", bot.middleware());
app.listen(3000, () => {
    console.log(`Application running on port 3000`);
    bot.setWebhook(`https://viber-4twl67jsrfht.runkit.sh/viber/webhook`).catch(error => {
        console.log('Can not set webhook on following server. Is it running?');
        console.error(error);
        process.exit(1);
    });
});
